import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { optionsListApi } from '/@/api/tigerapi/wms/wms_item';
import { h } from 'vue';
import { Tag, Tooltip } from 'ant-design-vue';

export const columns: BasicColumn[] = [
  {
    title: '锡膏UPN编码',
    dataIndex: 'UPN',
    width:200,
    sorter: true,
    resizable:true
  },
  {
    title: 'CPN编码',
    dataIndex: 'CPN',
    width: 200,
    sorter: true,
    resizable:true
  },
  {
    title: '类型',
    dataIndex: 'TYPE',
    width: 100,
    sorter: true,
    resizable:true,
    customRender: ({ record }) => {
      const status = record.TYPE;
      var text = '';
      var color = '';
      switch (status) {
        case '0':
          text = '锡膏';
          color = 'green';
          break;
        case '1':
          text = '胶水';
          color = 'blue';
          break;
        default:
          break;
      }
      return h(Tooltip, { title: 'xxxxxx' }, () => h(Tag, { color: color }, () => text));
    },
  },
  {
    title: '超期时间编码',
    dataIndex: 'EXP_DATE',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: '创建人',
    dataIndex: 'CREATE_USER',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    width:100,
    sorter: true,
    resizable:true
  }
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'UPN',
    label: '锡膏UPN编码',
    component: 'Input',
    colProps: { span: 8 },
  }
];
